<?php

namespace App\Classes\Modules\Remarks\Services;


use App\Classes\General\Eloquent\AbstractListRecord;
use Illuminate\Database\Eloquent\Builder;
use App\Models\Remark;

class ListsRemarks extends AbstractListRecord
{

    /** @var Remark */
    private $repository;

    /**
     * ListsRemarks constructor.
     * @param Remark $repository
     */
    public function __construct(Remark $repository)
    {
        $this->repository = $repository;
    }


    /**
     * @return Builder
     */
    function getRepository(): Builder
    {
        return $this->repository->newQuery();
    }
}
